package rScripts;

import java.io.File;

import utils.ConfigReader;
import utils.ProcessWrapper;


public class ShellToR
{
	/*
	 *  static methods only
	 */
	private ShellToR()
	{
		
	}
	
	public static void shellToR(File commandFile) throws Exception
	{
		String[] args = new String[4];
		args[0] = ConfigReader.getRDirectory() + File.separator +  "R";
		args[1] = "CMD";
		args[2] = "BATCH";
		args[3] = commandFile.getCanonicalPath();
		
		new ProcessWrapper(args);
	}
}
