
package utils;


public class StatisticReturnObjectPlus implements Comparable<StatisticReturnObjectPlus>
{
    private final double score;
    private final double pValue;
    private final int degfreedom;
    private final double foldchange;
    
    
    public StatisticReturnObjectPlus(double score, double pValue, int degfreedom, double foldchange)
    {
        this.score = score;
        this.pValue = pValue;
        this.degfreedom = degfreedom;
        this.foldchange = foldchange;
        
        
    }
    
    public double getPValue()
    {
        return pValue;
    }
    public double getScore()
    {
        return score;
    }
    
    public int getDegreesOfFreedom()
    {
    	return degfreedom;
    }

	public int compareTo(StatisticReturnObjectPlus arg0)
	{

		return  (java.lang.Double.compare(arg0.getPValue(),this.getPValue()));
	}


	public double getFoldchange()
	{
		return foldchange;
	}
}
