package dataSetDescribers;

public class DataScope
{
	private final String description;
	
	private DataScope(String description)
	{
		this.description = description;
	}
	
	public static DataScope ALL = new DataScope("ALL");
	public static DataScope SPIKES_ONLY = new DataScope("Spikes");
	public static DataScope NULLS_ONLY = new DataScope("Nulls");

	public String getDescription()
	{
		return description;
	}
	
	@Override
	public boolean equals(Object arg0)
	{
		DataScope other = (DataScope) arg0;
		
		return other.description.equals( this.description );
	}
	
	@Override
	public int hashCode()
	{
		return this.description.hashCode();
	}
	
	
}
