package dataSetDescribers;

/*
 *   Provides a quick implementation for experimental (i.e. not a spike-in control) data set
 */
public abstract class ReiNonSpikeGeneric extends RatioExperiment
{
	protected boolean useNormalizedData;
	
	public void clearRMACache() throws Exception
	{	
	}

	public DataScope getDataScope()
	{
		return DataScope.ALL;
	}
	


	public AbstractSpikedControls getSpikeDetails()
	{
		return null;
	}

	public void setDataScope(DataScope dataScope) throws Exception
	{
		if( ! dataScope.equals(dataScope.ALL))
			throw new Exception("Only DataScope.ALL supported");
		
	}

	public void setUseNormalizedData(boolean useNormalizedData) throws Exception
	{
		this.useNormalizedData = useNormalizedData;
	}

	public void setUseRandomData(boolean random) throws Exception
	{
		if( random )
			throw new Exception("Random not supported");
	}	
}
