package rScripts;



public class GeneDataSummary implements Comparable<GeneDataSummary>

{

		private final String geneName;
		private final double mean;
		private final double std;
		
		public GeneDataSummary(String geneName, double mean, double std)
		{
			this.geneName = geneName;
			this.mean = mean;
			this.std = std;
		}

		/**
		 * @return Returns the geneName.
		 */
		public String getGeneName()
		{
			return geneName;
		}

		/**
		 * @return Returns the mean.
		 */
		public double getMean()
		{
			return mean;
		}

		/**
		 * @return Returns the std.
		 */
		public double getStd()
		{
			return std;
		}

		
		public int compareTo(GeneDataSummary o)
		{
			return (java.lang.Double.compare(this.getMean(),o.getMean()));
			
		}

		
}
