package rScripts;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import utils.StatisticReturnObject;
import utils.StatisticReturnObjectPlus;
import utils.TTest;

public class PortCyberTToJava 
{

	/**
	 * Porting R's cyberT to java
	 * Rewriting each function in R to Java
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception 
	{
		// Testing purposes
		List<Double> aList = new ArrayList<Double>();
	
		
		aList.add(0,1.0);
		aList.add(45.6);
		aList.add(78.2);
		aList.add(1000.3);
		aList.add(-0.1);
		double test = fetchSecondMax(aList);
		System.out.println("\n We returned the value: " + test);
		
	}
	
	public static StatisticReturnObjectPlus fetchTTest( double[] dataset1, double[] dataset2)
	{
		StatisticReturnObject noDFObject = TTest.ttest(dataset1,dataset2);
		int degfreedom = 0;
		degfreedom = dataset1.length + dataset2.length -2;
		double foldchange = -1.0;
		
		
		StatisticReturnObjectPlus returnstatobject = new StatisticReturnObjectPlus(noDFObject.getScore(), noDFObject.getPValue(),degfreedom, foldchange );
		
		return returnstatobject;
		
	}
	
	public static double fetchSecondMax(List<Double> someList)throws Exception
	{
		// TESTED and apparently functional
		if ( someList.size()== 0)  throw new Exception("List empty");
		
		Collections.sort(someList);
		double secondndMaxValue = someList.get((someList.size()-2));    //-2 because we want 2nd last, and it starts at 0.
		
		 
		return secondndMaxValue;
	}

}
