package utils;

import java.util.ArrayList;
import java.util.List;

public class Median
{
	/**
	 *  list must be sorted
	 */
	public static float getMedianVaule(List<Float> list) throws Exception
	{
		if ( list.size()== 0)
			throw new Exception("List empty");
		
		if ( list.size() == 1)
			return list.get(0);
		
		int halfVal = list.size() /2 ;
		
		if ( list.size() % 2 != 0)
			return list.get(halfVal);
		
		return  (list.get(halfVal) + list.get(halfVal-1)) / 2.0f;
	}
	
	public static void main(String[] args) throws Exception
	{
		List<Float> list= new ArrayList<Float>();
		
		for ( int x=1; x <= 7; x++)
			list.add(new Float(x));
		
		System.out.println(getMedianVaule(list));
	}
}
